# Class TestAction`Abstract`

- Defined in src/tests/actions/_action.ts:3

#####
Index

### Constructors

constructor

### Properties

vars

### Methods

fire

## Constructors

### constructor

- new TestAction(vars): TestAction

- #### Parameters

  - ##### vars: ITestVars

  #### Returns TestAction

  - Defined in src/tests/actions/_action.ts:7

## Properties

### `Protected` vars

vars: ITestVars

- Defined in src/tests/actions/_action.ts:5

## Methods

### `Abstract` fire

- fire(noReturn): Promise<any>

- #### Parameters

  - ##### noReturn: boolean

  #### Returns Promise<any>

  - Defined in src/tests/actions/_action.ts:11

Generated using TypeDoc